Tutorial 4 – Modulo de Agregar Repositorio DEBIAN / Canaima – Código fuente del Script Bicentenario 3.1


Saludos estimados, cyberlectores y cyberseguidores.

1er Concurso Primer Concurso On Line de Script para Sistemas basados en Sistemas GNU / Linux.

Les recuerdo que:

El Tutorial 1  fue sobre el Modulo de Auditoria.

El Tutorial 2  fue sobre el Modulo de Información.

El Tutorial 3  fue sobre el el Modulo de Agregar un Repositorio Institucional.

Este es el Cuarto Tutorial semanal sobre el Código fuente del Script Bicentenario 3.1, en el trataremos el Modulo de Agregar un Repositorio DEBIAN / Canaima.

Todos sabemos que lo ideal cuando uno tiene ya sea un Equipo o toda una Plataforma (Red de equipos) con Sistemas GNU/Linux es tener conectividad constante y sin restricciones. Sin embargo, ya sabemos que no todos tenemos conexión a Internet y en caso de que la tengamos no siempre es de la velocidad (tasa) de descarga ideal.

Aún a veces con una buena conexión en Casa, Empresa o Institución, por ejemplo de 2 MB, el proceso de actualización full de un Sistema GNU/Linux se puede tomar horas. Por eso lo ideal es contar con un Repositorio Oficial Externo de DEBIAN con una buena Tasa de descarga, para los repositorios de GNU/Linux Canaima no surge este Problema porque solo hay uno y tiene una tasa aceptable.  Para automatizar esta labor esta diseñado el Modulo de Agregar un Repositorio DEBIAN / Canaima.

Así que si quieres insertar / agregar esos parámetros vía consola a través de un Script, ahí les dejo el codigo del Modulo de Agregar un Repositorio DEBIAN / Canaima:

agregarrepositoriosinternet1(){
clear
setterm -background blue
QUIEN=$( whoami )
if [ "$QUIEN" != "root" ]; then
        echo "DEBE SER ROOT PARA CONTINUAR"
        exit 0
fi
sleep 3s
echo "El Script procedera a configurar los repositorios de Internet de Linux "
echo "DEBIAN Squeeze y GNU/Linux CANAIMA 3.0 necesarios para una actualizacion"
echo "del Sistema Operativo instalado."
echo ""
echo ""
echo "Espere unos segundos mientras el Script sigue la ejecucion..."
echo "

"
sleep 3s
clear
echo '
#########################################################################################
# REPOSITORIOS ESTABLES DE LINUX DEBIAN EN INTERNET

deb http://ftp.de.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze main contrib non-free  

deb http://ftp.de.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze-updates main contrib non-free

deb http://ftp.de.debian.org/debian/ squeeze-proposed-updates main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze-proposed-updates main contrib non-free  

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

#########################################################################################
# REPOSITORIOS ESTABLES DE LINUX CANAIMA 3.0 EN INTERNET

deb http://repositorio.canaima.softwarelibre.gob.ve/ pruebas usuarios
deb http://seguridad.canaima.softwarelibre.gob.ve/ seguridad usuarios
deb http://edu.repositorio.canaima.softwarelibre.gob.ve/ roraima usuarios

' >> /etc/apt/sources.list
cat /etc/apt/sources.list
echo ""
echo "El archivo sources.list ha sido reconfigurado exitosamente."
echo "Verifique en las lineas superiores que todo este correctamente."
echo ""
sleep 15s
echo "Espere unos segundos mientras el Script realiza un post-mantenimiento..."
echo "al Sistema Operativo luego de estas instalaciones y configuraciones."
echo "

"
sleep 5s
aptitude update
dpkg --configure -a
aptitude install -f -y
aptitude remove -y
aptitude clean -y
aptitude autoclean -y
aptitude safe-upgrade
echo "

"
echo "Modulo ejecutado."
echo "

"
sleep 3s
clear
setterm -background blue
}
Anuncios

12 comentarios sobre “Tutorial 4 – Modulo de Agregar Repositorio DEBIAN / Canaima – Código fuente del Script Bicentenario 3.1

  1. bueno porfin cveo un tutorial util para mi , estaba buscando hase tiempo esto para poder personalizar a mi gusto canaima con paquetes de debian directamente ,
    en lo que tenga oportunida pruevo la funcionalidad de esto
    gracias y sigan mejorando

    Me gusta

  2. Grasias camaradas, estube buscando por todo internet y aqui fue donde encontre lo que buscava ecelente todo. Asi elebamos el nivel de educacion y tecnologia

    Me gusta

  3. Its such as you learn my thoughts! You appear to grasp a lot approximately this, such as you wrote the e-book in it
    or something. I believe that you could do with some % to drive the message house a bit, but instead of that, that is great blog. A fantastic read. I’ll definitely be back.

    Me gusta

  4. ¿Que información recoge esta web del visitante, que cada vez que paso por aquí se frena mi navegador; como un jinete tratando de frenar con desesperación su caballo desbocado?, tuve que bajar un anti-script para leer tus artículos.

    Me gusta

    1. Ni idea. esto es un Blog normal de wordpress debe ser el tema que uso. Sin embargo creo que el problema real son mis comics, que se cargan con un javascript del wordpress. Antes era peor cuando tenia los comics en la portada. Ahora la carga es mas rapida ya que solo los deje en su pestaña propia “Comics Bitstrips”. Lamento los inconvenientes…

      Me gusta

  5. mi lapto canaima 3.0 … para iniciar facebook dice ” Se requieren cookies
    Las cookies no están habilitadas en tu navegador. Habilítalas en las preferencias del navegador para continuar.” en la preferencias no sale como habilitarlas alguien puede ayudarme. gracias

    Me gusta

  6. Amigos, tengo un grabe problema en mi canaima que no me deja descargar nada. Me he guiado por varios tutoriales en internet pero no he tenido ningun resultado favorable. He probado los siguientes comandos y siempre es el mismo resultado. Esto es lo que me arroja:
    dpkg: error fatal irrecuperable, abortado:
    error sintactico: usuario desconosido “hplip” en el archivo statoverride
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    Un paquete no se pudo instalar. tratando de recuperarlo:
    dpkg: error al procesar funcion-icon (–comfigure):
    El paquete está en un estado grabe de inconsistencia-debe reinstalarlo
    antes de intentar su configuración.
    Se encontraron errores al procesar:
    fusion-icon
    Siempre al final da el mismo resultado. Esto son los comando que he utilizado sin resultado alguno:
    sudo dpkg –remove –force-remove-reinstreq synaptic

    sudo add-apt-repository ppa:webupd8team/unstable

    sudo apt-get update

    sudo apt-get install synaptic

    Se eliminan los paquetes obsoletos;
    sudo apt-get autoremove

    Arreglar paquetes rotos;
    sudo apt-get -f install

    Arreglar paquetes rotos
    sudo dpkg –configure -a

    actualización vía consola:
    sudo apt-get -u upgrade

    Agrego mi sources.list:
    #Repositorios de Canaima Educativo GNU/Linux

    sudo apt-get clean

    sudo apt-get update && sudo apt-get upgrade

    Y siempre me sale al final el mismo resultado. ya no se que hacer… espero su ayuda porfavor, gracias.

    Me gusta

  7. Amigos, tengo un grabe problema en mi canaima educativa gnu/linux auyantepui 3.1 que no me deja descargar nada. Me he guiado por varios tutoriales en internet pero no he tenido ningun resultado favorable. He probado los siguientes comandos y siempre es el mismo resultado. Esto es lo que me arroja:
    dpkg: error fatal irrecuperable, abortado:
    error sintactico: usuario desconosido “hplip” en el archivo statoverride
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    Un paquete no se pudo instalar. tratando de recuperarlo:
    dpkg: error al procesar funcion-icon (–comfigure):
    El paquete está en un estado grabe de inconsistencia-debe reinstalarlo
    antes de intentar su configuración.
    Se encontraron errores al procesar:
    fusion-icon
    Siempre al final da el mismo resultado. Esto son los comando que he utilizado sin resultado alguno:
    sudo dpkg –remove –force-remove-reinstreq synaptic

    sudo add-apt-repository ppa:webupd8team/unstable

    sudo apt-get update

    sudo apt-get install synaptic

    Se eliminan los paquetes obsoletos;
    sudo apt-get autoremove

    Arreglar paquetes rotos;
    sudo apt-get -f install

    Arreglar paquetes rotos
    sudo dpkg –configure -a

    actualización vía consola:
    sudo apt-get -u upgrade

    Agrego mi sources.list:
    #Repositorios de Canaima Educativo GNU/Linux

    sudo apt-get clean

    sudo apt-get update && sudo apt-get upgrade

    Y siempre me sale al final el mismo resultado. ya no se que hacer… espero su ayuda porfavor, gracias.

    Me gusta

Gracias por tus comentarios...

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s